Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.fgov.ehealth.standards.kmehr.id.v1
Class ObjectFactory

    java.lang.Object
      be.fgov.ehealth.standards.kmehr.id.v1.ObjectFactory

    public class ObjectFactory

extends Object

This object contains factory methods for each Java content interface and Java element interface generated in the be.fgov.ehealth.standards.kmehr.id.v1 package.

An ObjectFactory allows you to programatically construct new instances of the Java representation for XML content. The Java representation of XML content can consist of schema derived interfaces and classes representing the binding of schema type definitions, element declarations and model groups. Factory methods for each of these are provided in this class.

Constructor Summary
`ObjectFactory()` Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: be.fgov.ehealth.standards.kmehr.id.v1

Method Summary
`IDHCPARTY` | `createIDHCPARTY()` Create an instance of `IDHCPARTY`
`IDINSURANCE` | `createIDINSURANCE()` Create an instance of `IDINSURANCE`
`IDKMEHR` | `createIDKMEHR()` Create an instance of `IDKMEHR`
`IDPATIENT` | `createIDPATIENT()` Create an instance of `IDPATIENT`
`IDPROFESSION` | `createIDPROFESSION()` Create an instance of `IDPROFESSION`
`INSS` | `createINSS()` Create an instance of `INSS`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ObjectFactory

    public ObjectFactory()

  Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: be.fgov.ehealth.standards.kmehr.id.v1

Method Detail

### createIDKMEHR

    public IDKMEHR createIDKMEHR()

  Create an instance of `IDKMEHR`

### createIDHCPARTY

    public IDHCPARTY createIDHCPARTY()

  Create an instance of `IDHCPARTY`

### createIDPATIENT

    public IDPATIENT createIDPATIENT()

  Create an instance of `IDPATIENT`

### createINSS

    public INSS createINSS()

  Create an instance of `INSS`

### createIDINSURANCE

    public IDINSURANCE createIDINSURANCE()

  Create an instance of `IDINSURANCE`

### createIDPROFESSION

    public IDPROFESSION createIDPROFESSION()

  Create an instance of `IDPROFESSION`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSPRACTICALNURSE 3.24.0-beta-4 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.